Package org.codehaus.groovy.runtime.callsite

# Class PojoMetaClassSite

java.lang.Object
org.codehaus.groovy.runtime.callsite.AbstractCallSite
org.codehaus.groovy.runtime.callsite.MetaClassSite
org.codehaus.groovy.runtime.callsite.PojoMetaClassSite

All Implemented Interfaces:
  `CallSite`

public class PojoMetaClassSite extends MetaClassSite
POJO call site meta class - cached method - not cached

- ## Field Summary

  ### Fields inherited from class org.codehaus.groovy.runtime.callsite.MetaClassSite

  `metaClass`

  ### Fields inherited from class org.codehaus.groovy.runtime.callsite.AbstractCallSite

  `array, index, name`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PojoMetaClassSite(CallSite site, MetaClass metaClass)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Object`
  `call(Object receiver, Object[] args)`
  `protected final boolean`
  `checkCall(Object receiver)`

  ### Methods inherited from class org.codehaus.groovy.runtime.callsite.AbstractCallSite

  `acceptGetProperty, acceptGroovyObjectGetProperty, call, call, call, call, call, callConstructor, callConstructor, callConstructor, callConstructor, callConstructor, callConstructor, callCurrent, callCurrent, callCurrent, callCurrent, callCurrent, callCurrent, callGetProperty, callGetPropertySafe, callGroovyObjectGetProperty, callGroovyObjectGetPropertySafe, callSafe, callSafe, callSafe, callSafe, callSafe, callSafe, callStatic, callStatic, callStatic, callStatic, callStatic, callStatic, createGetPropertySite, createGroovyObjectGetPropertySite, getArray, getIndex, getName, getProperty`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PojoMetaClassSite

    public PojoMetaClassSite(CallSite site, MetaClass metaClass)

- ## Method Details

  - ### call

    public Object call(Object receiver, Object[] args) throws Throwable
    Specified by:
      `call` in interface `CallSite`
    Overrides:
      `call` in class `AbstractCallSite`
    Throws:
      `Throwable`

  - ### checkCall

    protected final boolean checkCall(Object receiver)